LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 06-17-2005, 04:35 PM   #1
nistelrooy
Member
 
Registered: Oct 2003
Location: Singapore
Distribution: debian
Posts: 162

Rep: Reputation: 30
Ncurses (psyBNC)


Hi guys hope u can help me solve this,

Running Debian 2.4.27-2-386

Theres two error in my compilation after 'make menuconfig'
I've searched google and the forum but to no avail.

Code:
xserve:/home/peon/psybnc# make menuconfig
Initializing Menu-Configuration[*] Running Conversion Tool for older psyBNC Data.
tools/convconf.c: In function `cofile':
tools/convconf.c:81: warning: deprecated use of label at end of compound statement
Using existent configuration File.[*] Running Autoconfig.
System: Linux
Socket Libs: Internal.
Environment: Internal.
Time-Headers: in time.h and sys/time.h
Byte order: Big Endian.
IPv6-Support: Yes, general support. But no interface configured.
async-DNS-Support: Yes.
SSL-Support: No openssl found. Get openssl at www.openssl.org
Creating Makefile
[*] Creating Menu, please wait.
This needs the ncurses library. If it is not available, menuconf wont work. 
If you are using curses, use make menuconfig-curses instead.
make: *** [menuconfig] Error 1
xserve:/home/peon/psybnc#

 
Old 06-17-2005, 05:01 PM   #2
jonaskoelker
Senior Member
 
Registered: Jul 2004
Location: Denmark
Distribution: Ubuntu, Debian
Posts: 1,524

Rep: Reputation: 47
Quote:
This needs the ncurses library. If it is not available, menuconf wont work.

If you are using curses, use make menuconfig-curses instead.
I think this pretty much tells you what you need to find out: is the ncurses-library properly installed? Run another program that uses it and see if it works.

have you tried running `menuconfig-curses' as it suggests?

--Jonas
 
Old 06-18-2005, 02:32 AM   #3
nistelrooy
Member
 
Registered: Oct 2003
Location: Singapore
Distribution: debian
Posts: 162

Original Poster
Rep: Reputation: 30
Hi jonas

I looked around for ncurses and have it installed, the version 5. But i'm still facing the same problem.

Code:
xserve:/home/prognosis/psybnc# apt-get install libncurses5
Reading Package Lists... Done
Building Dependency Tree... Done
libncurses5 is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 6 not upgraded.
xserve:/home/prognosis/psybnc#
I'm not using curses.

Thank you for your reply.

Last edited by nistelrooy; 06-18-2005 at 02:33 AM.
 
Old 06-18-2005, 07:34 AM   #4
jonaskoelker
Senior Member
 
Registered: Jul 2004
Location: Denmark
Distribution: Ubuntu, Debian
Posts: 1,524

Rep: Reputation: 47
try running make menuconfig-curses. Also, is building the program with (something not curses) an acceptable option?

--Jonas
 
Old 06-18-2005, 03:22 PM   #5
nistelrooy
Member
 
Registered: Oct 2003
Location: Singapore
Distribution: debian
Posts: 162

Original Poster
Rep: Reputation: 30
Hi

Thanks for your reply.

I tried using Ncurses and Curses to install, but both failed.

I can't compile it without ncurses/curses.

Would reinstallation of Ncurses help?
 
Old 06-18-2005, 08:00 PM   #6
jonaskoelker
Senior Member
 
Registered: Jul 2004
Location: Denmark
Distribution: Ubuntu, Debian
Posts: 1,524

Rep: Reputation: 47
Quote:
Would reinstallation of Ncurses help?
Try it out and tell me. I wouldn't think so, but it might (if, say, the installer got something wrong).

Also, I don't know psyBNC, but you could perhaps look through the code that calls the ncurses library and see if it's okay?

Or, at least, see if it's invoked the right way; `ldd' it--are all the libraries there (especially curses)?

hth --Jonas
 
Old 02-15-2006, 05:51 AM   #7
s4mmy
LQ Newbie
 
Registered: Jan 2005
Location: somwhere up north
Distribution: Debian Sarge
Posts: 4

Rep: Reputation: 0
well i got one intresting thing i got both open ssl and ncurseslib and yet it just wont take a hint that those 2 are alredy installed. is there a conf file where i must changes directorys etc
 
Old 02-19-2006, 02:46 PM   #8
jonaskoelker
Senior Member
 
Registered: Jul 2004
Location: Denmark
Distribution: Ubuntu, Debian
Posts: 1,524

Rep: Reputation: 47
I'm gonna' have to punt at this.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
psyBNC from inetd wont find psybnc.conf marol Linux - General 0 02-29-2004 10:17 AM
psybnc boToo Linux - Newbie 0 11-20-2003 08:36 PM
psyBNC vartotojas Linux - Software 0 08-05-2003 05:48 PM
psyBNC DigiCrime Linux - Software 5 04-15-2003 02:44 AM
ncurses-5.2-28 conflicts with file from package ncurses-5.2-12 tubby Linux - Software 4 06-16-2002 01:00 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 09:42 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration